Create a value list item
- Base URL
-
https://{kibana_url}
- POST /api/lists/items
- POST /s/{space_id}/api/lists/items
Refer to Spaces for more information.
Create a value list item and associate it with the specified value list.
All value list items in the same list must be the same type. For example, each list item in an ip list must define a specific IP address.
Before creating a list item, you must create a list.
Request body
Value list item's properties
Responses
Successful response
-
_versionstring -
The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.
-
tie_breaker_idstringrequired -
Field used in search to ensure all containers are sorted and returned correctly.
-
typerequired -
Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:
keyword: Many ECS fields are Elasticsearch keywordsip: IP addressesip_range: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
-
Values:
binarybooleanbytedatedate_nanosdate_rangedoubledouble_rangefloatfloat_rangegeo_pointgeo_shapehalf_floatintegerinteger_rangeipip_rangekeywordlonglong_rangeshapeshorttext
Invalid input data response
Unsuccessful authentication response
Not enough privileges response
Not enough privileges response
List item already exists response